%global forgeurl https://gitlab.com/fedora/legal/fedora-license-data

Name:           fedora-license-data
Version:        1.0
Release:        1.20220630104643294034.master.24.gf05744d%{?dist}
Summary:        Fedora Linux license data

License:        CC0-1.0
URL:            %{forgeurl}
BuildArch:      noarch
# git clone https://gitlab.com/fedora/legal/fedora-license-data.git
# cd fedora-license-data
# packit prepare-sources
Source0:        fedora-license-data-1.0.tar.gz

BuildRequires:  make
BuildRequires:  python3
BuildRequires:  python3-toml

%description
This project contains information about licenses used in the Fedora
Linux project.  Licenses are categorized by their approval or
non-approval and may include additional notes.  The data files provide
mappings between the SDPX license expressions and the older Fedora
license abbreviations.

The project also intends to publish the combined license information
in a number of data file formats and provide a package in Fedora for
other projects to reference, such as package building tools and
package checking tools.

The Fedora Legal team is responsible for this project.


%prep
%setup -q -n fedora-license-data-1.0


%build
%make_build


%install
%make_install


%files
%license LICENSE LICENSE.BSD-3-Clause LICENSE.CC0-1.0
%doc AUTHORS README.md
%{_datadir}/%{name}/


%changelog
* Thu Jun 30 2022 Miroslav Suchý <msuchy@redhat.com> - 1.0-1.20220630104643294034.master.24.gf05744d
- the package is noarch (Miroslav Suchý)
- do not fail json conversion on licenses which are not allowed (Miroslav Suchý)
- leftover after 1bbb9c9 (Miroslav Suchý)
- fix Source0 (Miroslav Suchý)
- do not run toml-validation during rpm buildtime (Miroslav Suchý)
- add version (Miroslav Suchý)
- Initial spec file for the package (David Cantrell)
- Replace use of 'approved' with 'allowed' (David Cantrell)
- Rename the 'text' field to 'url' in the [license] block (David Cantrell)
- Create separate 'text' and 'url' fields in [license] (David Cantrell)
- More Makefile additions and an 'install' target (David Cantrell)
- Various text formatting cleanups in the TOML data files (David Cantrell)
- Add 'json' and 'clean' targets to the Makefile (David Cantrell)
- Add tools/mkjson.py to generate the JSON license db for rpminspect (David Cantrell)
- Python flake8 and black fixes for validate-spec.py (David Cantrell)
- Add tools/validate-spec.py script and update the Makefile (David Cantrell)
- Corrected the expression and status values of all font licenses (David Cantrell)
- Remove original tsv files and import helper scripts (David Cantrell)
- Add AUTHORS file (David Cantrell)
- Import not-approved licenses again (David Cantrell)
- Update the TEMPLATE.toml file to reflect the field changes (David Cantrell)
- Minor update to the README file (David Cantrell)
- Merged BSD_3-clause.toml with BSD-3-Clause.toml (David Cantrell)
- Merge license TOML files in to a single data/ directory (David Cantrell)
- Add license files, headers, and update README files (David Cantrell)
- Start Makefile and add requirements.txt file (David Cantrell)
- Move the tsv2toml* import scripts to the original/ subdirectory. (David Cantrell)
- Move the original source *.tsv files to the original/ subdirectory (David Cantrell)
- Import approved content licenses to approved-content/ (David Cantrell)
- Import approved-documentation licenses (David Cantrell)
- Update the approved/ licenses to remove trailing whitespace (David Cantrell)
- Minor updates to the import scripts (David Cantrell)
- Import approved font licenses (David Cantrell)
- Allow specifying the approval string on th tsv2toml-good.py command line (David Cantrell)
- The 'expression' field is now a list of strings (David Cantrell)
- First import of known but unapproved licenses (David Cantrell)
- Update the approved/ license files with the latest source data (David Cantrell)
- Rename tsv2toml.py to tsv2toml-good.py; add tsv2toml-bad.py (David Cantrell)
- Remove bad.tsv and run.log, add new good.tsv (David Cantrell)
- Reimport all of the Fedora good licenses (David Cantrell)
- Modify tsv2toml.py to group Fedora full names and abbreviations (David Cantrell)
- "content" not "contents" (Matthew Miller)
- Remove remaining data/ files (David Cantrell)
- Rename json2toml.py to tsv2toml.py (David Cantrell)
- Initial conversion of Fedora good licenses to TOML format (David Cantrell)
- Add the AHFL license for fonts (Ben Cotton)
- Add Minpack license (Ben Cotton)
- Cleaning up the license data files (David Cantrell)
- Add the split out fedora.json license as individual YAML files (David Cantrell)
- Quick and Dirty script to convert JSON to YAML files (David Cantrell)
- Add Distributable license URL and fix JSON error (David Cantrell)
- Add original rpminspect-data-fedora fedora.json license database (David Cantrell)

* Mon May 02 2022 David Cantrell <dcantrell@redhat.com> - 1.0-1
- Initial build
